> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Create Encounter Attachment V2

PUT https://api.taigabilling.com/api/encounter-attachments/v1/{encounter_id}/v2
Content-Type: multipart/form-data

Uploads a file to the encounter. The file will be stored in the
encounter's attachments.

Reference: https://docs.taigabilling.com/api-reference/encounter-attachments-v-1/encounter-attachments-v-1-create-with-description

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `encounter_id` (string, required)

### Body (multipart/form-data)

This endpoint expects a multipart form containing an optional file.

- `attachment_file` (file, optional)
- `attachment_type` (enum, optional)
- `description` (string, optional)

## Response

### 200

- `string`

## Examples

**Request**

```json
{
  "attachment_file": "<file: <file1>>"
}
```

**Response**

```json
"string"
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/encounter-attachments/v1/encounter_id/v2"

files = { "attachment_file": "open('<file1>', 'rb')" }
payload = {
    "attachment_type": ,
    "description": 
}
headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, data=payload, files=files, headers=headers)

print(response.json())
```